Bug 189591 - CVE-2006-1494 PHP tempname open_basedir issue
CVE-2006-1494 PHP tempname open_basedir issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=low,reported=20060410,source=c...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 09:51 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0568
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 14:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-21 09:51:05 EDT
PHP tempname open_basedir issue

http://securityreason.com/achievement_securityalert/36

tempname open_basedir issue.  It's possible to break out of your
open_basedir restricted path.

We've fixed issues similar to this in the past, but did claim it's a
case of safe mode not being safe:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=147808


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 3 Red Hat Bugzilla 2006-07-12 14:11:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0568.html

Note You need to log in before you can comment on or make changes to this bug.